#2972 closed defect (fixed)

Add ndbm.h support

Reported by: Joel Sherrill Owned by:
Priority: normal Milestone: Indefinite
Component: unspecified Version: 5
Severity: normal Keywords: POSIX-Compliance
Cc: Blocked By:
Blocking:

Description

POSIX defines the functionality included in the ndbm.h file here:

http://pubs.opengroup.org/onlinepubs/9699919799/basedefs/ndbm.h.html

This functionality is not required by any FACE profile.

It is likely the best way to add this capability is as an add-on library via the RSB.

Change History (3)

comment:1 Changed on Apr 5, 2017 at 5:26:00 AM by Sebastian Huber

I would simply import this from FreeBSD into Newlib.

comment:2 Changed on Aug 12, 2019 at 5:34:29 AM by Vaibhav Gupta

Support got added in Newlib. The testsuite is added in conditional way in RTEMS.

comment:3 Changed on Sep 25, 2019 at 5:06:53 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

This has been completed.

Note: See TracTickets for help on using tickets.